<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Phoronix Test Suite - Results Viewer</title>
		<link href="pts-results-viewer/pts-viewer.css" rel="stylesheet" type="text/css" />
		<script src="pts-results-viewer/pts.js" type="text/javascript"></script>
	</head>
	<body>
		<div id="pts_container">
			<div id="pts_description_area">
				<div id="pts_logo"></div>
				<div id="pts_benchmark_main_header"><xsl:value-of select="PhoronixTestSuite/Suite/Title"/></div>
				<div class="pts_benchmark_descriptor" id="tsd_show" style="display: none;"><div class="pts_area_box"><p><xsl:value-of select="PhoronixTestSuite/Suite/Description"/></p><p style="font-size: 11px;"><em><xsl:value-of select="PhoronixTestSuite/Suite/Name" /> v<xsl:value-of select="PhoronixTestSuite/Suite/Version" /> is maintained by <xsl:value-of select="PhoronixTestSuite/Suite/Maintainer"/></em></p><p><span style="font-size: 11px;" onclick="switchShow('tsd_hidden');switchShow('tsd_show');">&lt;&lt; Hide Test Details</span></p></div></div>
				<div class="pts_benchmark_descriptor" id="tsd_hidden"><span style="font-size: 11px;" onclick="switchShow('tsd_hidden');switchShow('tsd_show');hideObject('tips_show');showObject('tips_hidden');">Show Test Details &gt;&gt;</span></div>
				<div class="pts_benchmark_descriptor"><xsl:value-of select="PhoronixTestSuite/System/Hardware"/></div>
				<div class="pts_benchmark_descriptor"><xsl:value-of select="PhoronixTestSuite/System/Software"/></div>
				<div class="pts_benchmark_descriptor"><strong>Phoronix Test Suite v<xsl:value-of select="PhoronixTestSuite/System/Version"/></strong></div>
				<div class="pts_benchmark_descriptor"><strong>Generated by <xsl:value-of select="PhoronixTestSuite/System/Author"/> on <xsl:value-of select="PhoronixTestSuite/System/TestDate"/></strong></div>
				<div class="pts_benchmark_descriptor"><strong>Test Notes:</strong>  <xsl:value-of select="PhoronixTestSuite/System/TestNotes"/></div>

<div style="display: none">
				<div class="pts_benchmark_descriptor" id="tips_hidden"><span style="font-size: 11px;" onclick="switchShow('tips_hidden');switchShow('tips_show');showObject('tsd_hidden');hideObject('tsd_show');">Performance Optimization Tips &gt;&gt;</span></div>
				<div class="pts_benchmark_descriptor" id="tips_show" style="display: none;"><div class="pts_area_box"><p><span style="font-size: 11px;" onclick="switchShow('tips_hidden');switchShow('tips_show');">&lt;&lt; Hide Tips</span></p>

<p><span style="font-size: 11px;" onclick="switchShow('tips_hidden');switchShow('tips_show');">&lt;&lt; Hide Tips</span></p></div></div>
</div>

			</div>
			<div id="pts_benchmark_area">
				<xsl:for-each select="PhoronixTestSuite/Benchmark">
					<div class="pts_benchmark_bar"><span class="pts_benchmark_bar_header"><xsl:value-of select="Name"/></span> <span class="pts_benchmark_bar_version">v<xsl:value-of select="Version"/></span><br /><strong><xsl:value-of select="Attributes"/></strong></div>
					<div class="pts_benchmark_text">
						<xsl:for-each select="Results/Group">
							<div style="padding: 5px 0;">
								<xsl:for-each select="Entry">
									<strong><xsl:value-of select="Identifier"/>:</strong><span style="padding-left: 5px;"><xsl:value-of select="Value"/></span><br />
								</xsl:for-each>
							</div>
						</xsl:for-each>
					</div>
					<div class="pts_benchmark_img_area"><img width="580" height="300"><xsl:attribute name="src">http://www.phoronix-test-suite.com/pts-grapher/r/graph-remote.php?t=<xsl:value-of select="Name" />&amp;s=<xsl:value-of select="Attributes"/>&amp;n=<xsl:value-of select="Version"/>&amp;u=<xsl:value-of select="Scale"/>&amp;p=<xsl:value-of select="Proportion"/>&amp;i=<xsl:for-each select="Results/Group"><xsl:for-each select="Entry"><xsl:value-of select="Identifier"/>;</xsl:for-each></xsl:for-each>&amp;v=<xsl:for-each select="Results/Group"><xsl:for-each select="Entry"><xsl:value-of select="Value"/>;</xsl:for-each></xsl:for-each>
</xsl:attribute></img></div>
				</xsl:for-each>
			</div>
			<p align="center">The <a href="http://www.phoronix-test-suite.com/">Phoronix Test Suite</a> is developed by <a href="http://www.phoronix.com/">Phoronix</a>, an Internet resource devoted to Linux hardware reviews, video driver articles, and much more.</p>
		</div>
	</body>
</html>
</xsl:template>
</xsl:stylesheet>
